/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.messaging.exchange.types;

import javax.jbi.messaging.InOptionalOut;

import org.ow2.easywsdl.wsdl.api.abstractItf.AbsItfOperation;
import org.ow2.petals.jbi.messaging.exchange.MessageExchangeImpl;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 */
public class InOptionalOutImpl extends InOutImpl implements InOptionalOut {

    public InOptionalOutImpl(MessageExchangeImpl me, Role observerRole) {
        super(me, observerRole);

        me.setPattern(AbsItfOperation.MEPPatternConstants.IN_OPTIONAL_OUT.value());
    }
}
