/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.messaging.routing.module;

/**
 * @author Sandra Trino - EBM WebSourcing
 */
public class Constants {

    public static final String FRACTAL_COMPONENT_LOGGER_NAME_AUTHORIZATION = "Petals.JBI-Messaging.AuthorizationModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_ENDPOINT_RESOLVER = "Petals.JBI-Messaging.EndpointResolverModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_FLOW_CONTROLLER = "Petals.JBI-Messaging.FlowControllerModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_FLOW_FILTER = "Petals.JBI-Messaging.FlowFilterModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_JAAS_AUTHENTICATION = "Petals.JBI-Messaging.JAASAuthenticationModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_PRIORITY_ORDER = "Petals.JBI-Messaging.PriorityOrdererModule";
    public static final String FRACTAL_COMPONENT_LOGGER_NAME_TRANSPORT_RESOLVER = "Petals.JBI-Messaging.TransportResolverModule"; 
}
